      PROGRAM TESTMULD

      IMPLICIT NONE
      INTEGER I, J
      INTEGER DIM
      PARAMETER (DIM = 3)
      INTEGER A(DIM, DIM)
      
      READ *, A

      CALL PRINTM(A, DIM)
      PRINT *, ((A (I, J), I = 1, 2), J = 2, 3)
      
      STOP
      END
      
      SUBROUTINE PRINTM(MATRIX, DIM)
      INTEGER DIM
      INTEGER MATRIX(DIM, DIM)
      
      INTEGER I, J
      
      DO 10 I = 1, DIM
        PRINT *, (MATRIX(I, J), J = 1, DIM)
10    CONTINUE        
      
      RETURN
      END
          
       